> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herodotus.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get peaks of a MMR

> Get peaks of a MMR



## OpenAPI

````yaml /data-structure-indexer-api/openapi-data-structure-indexer-api.json get /accumulators/peaks
openapi: 3.0.3
info:
  title: Data Structure Indexer API
  description: API for fetching data from the Data Structure Indexer
  license:
    name: ''
  version: 0.1.0
servers:
  - url: https://rs-indexer.api.herodotus.cloud
    description: Production server
  - url: https://staging.rs-indexer.api.herodotus.cloud
    description: Staging server
security: []
tags:
  - name: accumulators
    description: Accumulators endpoints.
  - name: remappers
    description: Remappers endpoints.
paths:
  /accumulators/peaks:
    get:
      tags:
        - accumulators
      summary: Get peaks of a MMR
      description: Get peaks of a MMR
      operationId: get_peaks
      parameters:
        - name: deployed_on_chain
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/ChainId'
        - name: accumulates_chain
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/ChainId'
        - name: hashing_function
          in: query
          required: false
          schema:
            allOf:
              - $ref: '#/components/schemas/HashingFunction'
            nullable: true
        - name: contract_type
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/ContractType'
        - name: onchain_accumulator_id
          in: query
          required: false
          schema:
            type: string
            nullable: true
        - name: accumulator_size
          in: query
          required: true
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: Get all peaks
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PeaksResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
components:
  schemas:
    ChainId:
      type: string
      enum:
        - '1'
        - '11155111'
        - '137'
        - '280'
        - MADARA_PRAGMA
        - STARKNET
        - SN_SEPOLIA
        - '300'
        - '11155420'
        - '421614'
        - '4801'
        - '84532'
        - UNKNOWN
    HashingFunction:
      type: string
      enum:
        - keccak
        - poseidon
        - pedersen
    ContractType:
      type: string
      enum:
        - AGGREGATOR
        - ACCUMULATOR
        - REMAPPER
    PeaksResponse:
      type: object
      required:
        - peaks
        - onchain_accumulator_id
        - contract_address
      properties:
        contract_address:
          type: string
        onchain_accumulator_id:
          type: string
        peaks:
          type: array
          items:
            type: string
    ApiErrorResponse:
      type: object
      required:
        - message
      properties:
        message:
          type: string

````